# Lookup Tables / Company Parameters ## Upsert a Lookup Table Value - [POST /lookuptablemanager.integrate/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.integrate-tableid.md): Creates a new Company Parameter record (LookupTableValue or MatrixLookupTableValue) or updates an existing record (if the specified name of the record already exists). --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLEVALUES_INTEGRATE | Data Integration (DATAINTEGRATION) ## Update a Lookup Table Value - [POST /lookuptablemanager.update/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.update-tableid.md): Updates LookupTableValue. Returns a list of updated LookupTableValue/MatrixLookupTableValue objects. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_UPDATE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Delete a Lookup Table Value - [POST /lookuptablemanager.delete/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.delete-tableid.md): Deletes a record (LookupTableValue or MatrixLookupTableValue) from the specified Company Parameters table (LookupTable). --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_REMOVE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Mass Delete Lookup Table Values - [POST /lookuptablemanager.delete/{tableId}/batch](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.delete-tableid-batch.md): Deletes records from the specified Company Parameters table (LookupTable). A filter can be applied (see the request example). --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_REMOVE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Add a Lookup Table Value - [POST /lookuptablemanager.add/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.add-tableid.md): Creates a new LookupTableValue or MatrixLookupTableValue record in the LookupTable (Company Parameter table). --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_ADD | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## List All Lookup Table Values - [POST /lookuptablemanager.fetch/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.fetch-tableid.md): Retrieves all Company Parameter records for the specified Company Parameter table (LookupTable). Export the table to the Excel file (XLSX) using the output=xls URL query parameter. When exporting to the file, specify fields (within the resultFields property) you want to include in the output table. Example: json { "data":{ "criteria":[ ], "operator":"and" }, "resultFields":[ "key1", "key2", "key3", "attribute1", "attribute2", "attribute3" ], "valueFields":[ ] } ## List All Lookup Tables - [POST /lookuptablemanager.fetch](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.fetch.md): Retrieves all Lookup Tables / Company Parameter tables. You can use this endpoint to retrieve the table ID. The tableId can be used in other endpoint URLs that work with Company Parameter Values. Find the table ID in the response under id parameter (e.g. "id": 2147484027). ## Add a Lookup Table - [POST /lookuptablemanager.add](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.add.md): Creates a new LookupTable. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_ADD | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Delete a Lookup Table - [POST /lookuptablemanager.delete](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.delete.md): Deletes a Lookup Table specified by typedId. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_REMOVE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Delete Column Values (Matrix only) - [POST /lookuptablemanager.resetcolumn/{tableId}/{columnName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.resetcolumn-tableid-columnname.md): Resets column data of a given lookup table. Currently MatrixLookupTable tables. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_REMOVE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Insert Bulk Data to Lookup Table - [POST /lookuptablemanager.loaddata/{TypeCode}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.loaddata-typecode.md): Inserts multiple records to the specified Lookup Table. The /loaddata operation is a very efficient and quick way to insert bulk data. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate). ## Copy a Lookup Table - [POST /lookuptablemanager.copy/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.copy-tableid.md): Creates a copy of the specified Lookup Table, including LookupTableValue/MatrixLookupTableValue values and preferences. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_COPY | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Update a Lookup Table - [POST /lookuptablemanager.update](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.update.md): Updates a Lookup Table. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_UPDATE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Get Logic References - [POST /lookuptablemanager.findref/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.findref-tableid.md): Retrieves a list of logics for a given Lookup Table. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_UPDATE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) ## Mass Edit - [POST /lookuptablemanager.massedit/{tableId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/lookup-tables-company-parameters/post-lookuptablemanager.massedit-tableid.md): Performs a mass edit action on LookupTableValue or MatrixLookupTableValue objects. Updates LTV or MLTV columns to specified values. --- Required Permission| Roles with the Required Permission | ---------|----------| LOOKUPTABLE_UPDATE | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA)